OnlyFans API
FanslyProfile Statistics

Get Insights

Get viewer engagement insights for the Fansly Account — views, interaction time, unique viewers, and video stats — bucketed by the granularity of the chosen range.

GET
/api/fansly/{fanslyAccount}/insights
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Query Parameters

range?string

Time range for the report. Default = last_30_days. Each range determines the bucket size (5min / 1h / 6h / 1d).

Value in"last_hour" | "last_24h" | "last_7_days" | "last_30_days" | "month"
month?string

Required when range=month. Format: YYYY-MM (e.g. 2026-05). Ignored for other ranges.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/insights?range=last_30_days&month=2026-05"
{
  "data": {
    "dataset": {
      "period": 86400000,
      "dateBefore": 1780444800000,
      "dateAfter": 1777852800000,
      "datapointLimit": 100,
      "datapoints": [
        {
          "timestamp": 1780444800000,
          "stats": [
            {
              "type": 0,
              "views": 672,
              "previewViews": 0,
              "interactionTime": 2459162,
              "previewInteractionTime": 0,
              "uniqueViewers": 431,
              "previewUniqueViewers": 0,
              "videoViews": 672,
              "totalVideoPercentWatched": 184.62,
              "previewVideoViews": 0,
              "previewTotalVideoPercentWatched": 0
            },
            {
              "type": 1,
              "views": 394,
              "previewViews": 3,
              "interactionTime": 4685121,
              "previewInteractionTime": 2014,
              "uniqueViewers": 128,
              "previewUniqueViewers": 1,
              "videoViews": 263,
              "totalVideoPercentWatched": 128.59,
              "previewVideoViews": 0,
              "previewTotalVideoPercentWatched": 0
            }
          ]
        }
      ]
    }
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055780,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}